package yukihane.inqubus.model;

/**
 *
 * @author yuki
 */
public class Progress {

    private final double percent;
    private final String text;

    public Progress(double percent) {
        this(percent, "");
    }

    public Progress(String text) {
        this(-1.0, text);
    }

    public Progress(double percent, String text) {
        this.percent = percent;
        this.text = text;
    }

    public double getPercent() {
        return percent;
    }

    public String getText() {
        return text;
    }
}
